const app = getApp();
const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
};
const loginIntercept = function () {
  wx.request({
    url: app.globalData.prodUrl + 'web-sso/get_open_id',
    data: {
      code: wx.getStorageSync('key').code
    },
    success: function (data) {
      wx.setStorage({
        key: "key",
        data: {
          openid: data.data.data.openid,
          ydw_token: data.data.ydw_token
        }
      });
      wx.setStorage({
        key: "persion",
        data: {
          persion: data.data.persion
        }
      })
    }
  })
};
const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}

function formatTimeTwo(number, format) {

  var formateArr = ['Y', 'M', 'D', 'h', 'm', 's'];
  var returnArr = [];

  var date = new Date(number);
  returnArr.push(date.getFullYear());
  returnArr.push(formatNumber(date.getMonth() + 1));
  returnArr.push(formatNumber(date.getDate()));

  returnArr.push(formatNumber(date.getHours()));
  returnArr.push(formatNumber(date.getMinutes()));
  returnArr.push(formatNumber(date.getSeconds()));

  for (var i in returnArr) {
    format = format.replace(formateArr[i], returnArr[i]);
  }
  return format;
}

module.exports = {
  formatTime: formatTime,
  loginIntercept: loginIntercept,
  formatTimeTwo: formatTimeTwo  // 时间戳转日期
}
